# eric7.QScintilla.TypingCompleters.CompleterRuby

Module implementing a typing completer for Ruby.

### Global Attributes

None

### Classes

CompleterRuby | Class implementing typing completer for Ruby.

### Functions

None

## CompleterRuby

Class implementing typing completer for Ruby.

### Derived from

CompleterBase

### Class Attributes

None

### Class Methods

None

### Methods

CompleterRuby | Constructor
__inComment | Private method to check, if the cursor is inside a comment.
__inDoubleQuotedString | Private method to check, if the cursor is within a double quoted string.
__inHereDocument | Private method to check, if the cursor is within a here document.
__inInlineDocument | Private method to check, if the cursor is within an inline document.
__inSingleQuotedString | Private method to check, if the cursor is within a single quoted string.
charAdded | Public slot called to handle the user entering a character.
readSettings | Public slot called to reread the configuration parameters.

### Static Methods

None

#### CompleterRuby (Constructor)

CompleterRuby(editor, parent=None)

Constructor

editor
  reference to the editor object (QScintilla.Editor)
parent
  reference to the parent object (QObject)

#### CompleterRuby.__inComment

__inComment(line, col)

Private method to check, if the cursor is inside a comment.

line
  current line (integer)
col
  current position within line (integer)

Return:
  flag indicating, if the cursor is inside a comment (boolean)

#### CompleterRuby.__inDoubleQuotedString

__inDoubleQuotedString()

Private method to check, if the cursor is within a double quoted string.

Return:
  flag indicating, if the cursor is inside a double quoted string (boolean)

#### CompleterRuby.__inHereDocument

__inHereDocument()

Private method to check, if the cursor is within a here document.

Return:
  flag indicating, if the cursor is inside a here document (boolean)

#### CompleterRuby.__inInlineDocument

__inInlineDocument()

Private method to check, if the cursor is within an inline document.

Return:
  flag indicating, if the cursor is inside an inline document (boolean)

#### CompleterRuby.__inSingleQuotedString

__inSingleQuotedString()

Private method to check, if the cursor is within a single quoted string.

Return:
  flag indicating, if the cursor is inside a single quoted string (boolean)

#### CompleterRuby.charAdded

charAdded(charNumber)

Public slot called to handle the user entering a character.

charNumber
  value of the character entered (integer)

#### CompleterRuby.readSettings

readSettings()

Public slot called to reread the configuration parameters.

Up